package gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class JanelaTexto extends JFrame {
	public JanelaTexto() {
		super("Janela de Texto");
		setBounds(50, 50, 300, 500);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		init();
	}
	
	private void init() {
		final JTextField campoTexto = new JTextField();
		add(campoTexto, BorderLayout.PAGE_START);
		
		final JTextArea areaTexto = new JTextArea();
		areaTexto.setEditable(false);
		areaTexto.setLineWrap(true);
		areaTexto.setWrapStyleWord(true);
		JScrollPane painelRolagem = new JScrollPane(areaTexto);
		painelRolagem.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
		painelRolagem.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		add(painelRolagem, BorderLayout.CENTER);
		
		campoTexto.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				areaTexto.append(campoTexto.getText() + "\n");
				campoTexto.setText("");
			}
		});
	}

	public static void main(String[] args) {
		JanelaTexto janela = new JanelaTexto();
		janela.setVisible(true);
	}
}
