package gui;

import java.awt.Color;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JFrame;

public class JanelaBotaoMouse extends JFrame {
	public JanelaBotaoMouse() {
		super("Evento de mouse com botão");
		setBounds(50, 50, 300, 300);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		init();
	}
	
	private void init() {
		addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				if (e.getButton() == MouseEvent.BUTTON1) {
					if (e.getClickCount() > 1) pintar(Color.BLUE);
					else pintar(Color.GREEN);
				}
				else if (e.getButton() == MouseEvent.BUTTON2)
					pintar(Color.MAGENTA);
				else if (e.getButton() == MouseEvent.BUTTON3)
					pintar(Color.CYAN);
			}
		});
	}
	
	private void pintar(Color cor) {
		getContentPane().setBackground(cor);
	}

	public static void main(String[] args) {
		JanelaBotaoMouse janela = new JanelaBotaoMouse();
		janela.setVisible(true);
	}

}
